%define name 	encfs
%define version 1.3.1
%define release 1
%define major	1
%define libname %mklibname %{name} %{major}

Summary: 	Encrypted pass-through filesystem for Linux
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		File tools
Source:		%{name}-%{version}-1.tar.bz2
URL: 		http://arg0.net/wiki/encfs
Requires:	fuse >= 2.3
Requires:	dkms-fuse >= 2.3
Requires:	openssl >= 0.9.7
BuildRequires:	rlog-devel >= 1.3, fuse-devel >= 2.5, openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
EncFS implements an encrypted pass-through filesystem in userspace using 
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep 
%setup -q

%build

%configure --disable-rpath
%make SED=/usr/bin/sed  

%install
%makeinstall_std
%find_lang %name

chrpath -d $RPM_BUILD_ROOT%{_bindir}/{encfs,encfsctl}

# unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/libencfs.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libencfs.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libencfs.so.*

%changelog
* Fri Jun 30 2006 Couriousous <couriousous@mandriva.org> 1.3.1-1mdv2007.0
- More fixes & Fix x86_64 build
- 1.3.1

* Wed Jun 28 2006 Lev Givon <lev@mandriva.org> 1.2.5-1.2mdk
- More spec file tweaks.

* Mon Jan 09 2006 Moreno Manzini <moreno.mg@gmail.com> 1.2.5-1.1mdk
- 1.2.5
- fixed some spec bugs.

* Tue Sep 13 2005 Madman <luca.n88@gmail.com> 1.2.4-1.1mdk
- Updated to 1.2.4-1 version.
- Fixed bug: don't try to decipher filenames which are too short to be valid.
- Feature: added "export" command to encfsctl.
- Feature: added support for static libencfs build.
- Feature: location of encfs configuration file can be overridden using ENCFS5_CONFIG environment variable. This allows keeping the .encfs5 configuration file in a separate location from the encoded data, for example.
- Feature: prevent user from trying to mount encfs results over the top of the encrypted directory.

* Sun Jul 24 2005 Madman <luca.n88@gmail.com> 1.2.3-1.1mdk
- First build for Mandriva 2006 Cooker.
- Fixed bug: with certain filesystem options a directory could not be renamed if it contained symbolic links.
- Fixed bug: allow symbolic link to "/".
- Feature: initialize OpenSSL hardware acceleration engine support.
- Feature: added "cat" command to encfsctl, which can dump the contents of a file without mounting the FS. 
- Feature: updated libtool.
